Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363695 - CVE-2016-6525 CVE-2016-8674 CVE-2017-5896 mupdf: various flaws [fedora-all]
Summary: CVE-2016-6525 CVE-2016-8674 CVE-2017-5896 mupdf: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mupdf
Version: 26
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 11:41 UTC by Martin Prpič
Modified: 2017-03-23 17:21 UTC (History)
2 users (show)

Fixed In Version: mupdf-1.10a-4.fc25 mupdf-1.10a-4.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-07 13:21:51 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-03 11:41:12 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2016-08-03 11:41:21 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1363694,1363695

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2016-10-17 13:46:04 UTC
Adding parent bug 1385685 (for CVE-2016-8674).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1363695,1363694,1385685

# Description of your update
notes=Security fix for CVE-2016-6525, CVE-2016-8674

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Pavel Zhukov 2016-10-28 19:11:59 UTC
Both CVEs links return 404.
Can you please updates links?

Comment 4 Martin Prpič 2016-10-31 08:16:08 UTC
(In reply to Pavel Zhukov from comment #3)
> Both CVEs links return 404.
> Can you please updates links?

CVE pages on the Red Hat Customer Portal are not created for CVEs that only affect community products such as Fedora and EPEL. Use this and the Blocks bug to track these issues.

Comment 5 Andrej Nemec 2017-02-07 09:26:55 UTC
Adding parent bug 1419862 (for CVE-2017-5896).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1363695,1363694,1385685,1419862

# Description of your update
notes=Security fix for CVE-2016-6525, CVE-2016-8674, CVE-2017-5896

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 6 Pavel Zhukov 2017-03-02 21:18:41 UTC
This was fixed in https://bodhi.fedoraproject.org/updates/FEDORA-2017-6fe982684d

Comment 8 Fedora Update System 2017-03-02 21:29:54 UTC
mupdf-1.10a-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b97b275da

Comment 9 Fedora Update System 2017-03-02 21:30:04 UTC
mupdf-1.10a-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b97b275da

Comment 10 Fedora Update System 2017-03-02 21:31:28 UTC
mupdf-1.10a-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a819664a6

Comment 11 Fedora Update System 2017-03-03 04:54:19 UTC
mupdf-1.10a-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a819664a6

Comment 12 Fedora Update System 2017-03-03 05:24:52 UTC
mupdf-1.10a-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b97b275da

Comment 13 Fedora Update System 2017-03-07 13:21:51 UTC
mupdf-1.10a-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-03-23 17:21:02 UTC
mupdf-1.10a-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.